/***************************************
	Auteur : Pierre Aubert
	Mail : aubertp7@gmail.com
	Licence : CeCILL-C
****************************************/


#include "PDataCol.h"

///Constructor of class PDataCol
PDataCol::PDataCol(){
	
}

///Copy Constructor of class PDataCol
/**	@param other : PDataCol we want ot copy
*/
PDataCol::PDataCol(const PDataCol & other){
	copyPDataCol(other);
}

///Destructor of class PDataCol
PDataCol::~PDataCol(){
	
}

///Operator = of class PDataCol
/**	@param other : PDataCol we want ot copy
 * 	@return copied class PDataCol
*/
PDataCol & PDataCol::operator = (const PDataCol & other){
	copyPDataCol(other);
	return *this;
}

///Sets the name of the PDataCol
/**	@param name : name of the PDataCol
*/
void PDataCol::setName(const std::string & name){
	p_name = name;
}

///Sets the rowSize of the PDataCol
/**	@param rowSize : rowSize of the PDataCol
*/
void PDataCol::setRowSize(size_t rowSize){
	p_rowSize = rowSize;
}

///Sets the tabData of the PDataCol
/**	@param tabData : tabData of the PDataCol
*/
void PDataCol::setTabData(const std::vector<char> & tabData){
	p_tabData = tabData;
}

///Gets the name of the PDataCol
/**	@return name of the PDataCol
*/
const std::string & PDataCol::getName() const{
	return p_name;
}

///Gets the name of the PDataCol
/**	@return name of the PDataCol
*/
std::string & PDataCol::getName(){
	return p_name;
}

///Gets the rowSize of the PDataCol
/**	@return rowSize of the PDataCol
*/
size_t PDataCol::getRowSize() const{
	return p_rowSize;
}

///Gets the rowSize of the PDataCol
/**	@return rowSize of the PDataCol
*/
size_t & PDataCol::getRowSize(){
	return p_rowSize;
}

///Gets the tabData of the PDataCol
/**	@return tabData of the PDataCol
*/
const std::vector<char> & PDataCol::getTabData() const{
	return p_tabData;
}

///Gets the tabData of the PDataCol
/**	@return tabData of the PDataCol
*/
std::vector<char> & PDataCol::getTabData(){
	return p_tabData;
}

///Copy Function of class PDataCol
/**	@param other : PDataCol we want ot copy
*/
void PDataCol::copyPDataCol(const PDataCol & other){
	p_name = other.p_name;
	p_rowSize = other.p_rowSize;
	p_tabData = other.p_tabData;
}

