/***************************************
	Auteur : Pierre Aubert
	Mail : aubertp7@gmail.com
	Licence : CeCILL-C
****************************************/

#ifndef __PDATACOL_H__
#define __PDATACOL_H__

#include <string>
#include <vector>

///@brief Get data from HDF5 DataSet column
class PDataCol{
	public:
		PDataCol();
		PDataCol(const PDataCol & other);
		virtual ~PDataCol();
		PDataCol & operator = (const PDataCol & other);
		void setName(const std::string & name);
		void setRowSize(size_t rowSize);
		void setTabData(const std::vector<char> & tabData);
		const std::string & getName() const;
		std::string & getName();
		size_t getRowSize() const;
		size_t & getRowSize();
		const std::vector<char> & getTabData() const;
		std::vector<char> & getTabData();
	protected:
		void copyPDataCol(const PDataCol & other);
	private:
		///Column name
		std::string p_name;
		///Size of one data row
		size_t p_rowSize;
		///Table of data
		std::vector<char> p_tabData;
};



#endif

